"use strict";

module.exports = {
  app: {
    title: "HDV",
    description: "HDV - Phần mềm hóa đơn điện tử HDV",
    keywords: "HDV"
  },
  domain: "localhost:8091",
  root: require("path").normalize(__dirname + "/../.."),
  version: "0.1.7",
  version_patch: "1",
  port: 8091,
  templateEngine: "swig",
  sessionSecret: "123hoadonviet!@#",
  sessionCollection: "frontend_sessions",
  // api_host: "http://192.168.0.198:8090/",
  api_host: "http://10.10.0.3:8068/api/",
  subdomain_offset: 1,
  maxUploadFileSize: 204800, // 200Kb
  remember_me_max_age: 604800000, // 7 days
  session_max_age: 86400000, // 1 days
  offline_appcache: false,
  analytic: false,
  log_file:
    require("path").normalize(__dirname + "/../..") + "/log/frontend-error.log",
  encrypt: {
    algorithm: "aes-256-ctr",
    password: "O0qhiViA1FSuZEa"
  },
  vnp: {
    vnp_TmnCode: "TTL441QO",
    vnp_HashSecret: "ITZTLUXOATQYYRLIVNXNEOTHWRSDYRGO",
    vnp_Url: "https://sandbox.vnpayment.vn/paymentv2/vpcpay.html",
    vnp_ReturnUrl: "http://localhost:8085/vnpay-return"
  },
  recapcha: {
    // api_site_key: '6LegFcEUAAAAAAKmg_gvL3ASjQVGe6FCZQdvbFHW',
    // api_secret: '6LegFcEUAAAAAJwN6twstksQj_LDrdliqXadnRFB'
    api_site_key: '6LfuKdAUAAAAAAPBzWfw5C7U2qIVklt0iTokTcK_',
    api_secret: '6LfuKdAUAAAAAP947mel6KLMVQbUI-k_AnOuk9Mk'
  },
  mst_info: {
    client: '370127803074352',
    secret: '3LdD6YYdBwg9jXjz'
  },
  server_id: 'FFB3C541-CF6A-4F97-945E-A5C88570AC25',
  momo_payment: {
    partner_code: 'MOMOGRA020191119',
    access_key: 'xmgxVINMVW6b1Qn5',
    secret_key: 'XVdvqETRdLBoctIo9RoCEE6jggfnfQKG',
    api_endpoint: 'https://test-payment.momo.vn/gw_payment/transactionProcessor',
    return_url: 'https://hoadonviet.vn/momo-return',
    ipn_url: 'https://hoadonviet.vn/momo-ipn'
  },
  sendgrid_key: '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',
  sendgrid_tvdv_mail: 'ttdv-cskh@hoadonviet.vn',
  sendgrid_id: {
    register_agency_business: '5118b088-bfc6-4783-8701-bb4b43b57a4b',
    register_agency_customer: '4f72c60f-b213-450f-ba7f-3bc6642e418d',
    payment_online_business: '6a2a1d24-b75b-4aae-8715-b87d75af367e',
    payment_online_customer: 'b1437a5b-1c04-4d99-9e99-06028e77e29b',
    register_online_business: '0dde817e-c49d-480e-a162-6554ba0bbde7',
    register_online_customer: '7ce94268-07c3-44f3-b3d4-5433e2632e4a'
  }
};
